org.apache.ignite.internal.processors.cache.transactions

## Class IgniteTxLocalAdapter.PostLockClosure2<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.transactions.IgniteTxLocalAdapter.PostLockClosure2<T>

Type Parameters:
  `T` - Return type.

All Implemented Interfaces:
  Serializable, IgniteBiClosure<Boolean,Exception,IgniteInternalFuture<T>>

Direct Known Subclasses:
  IgniteTxLocalAdapter.PLC2

Enclosing class:
  IgniteTxLocalAdapter

    protected abstract class IgniteTxLocalAdapter.PostLockClosure2<T>
    extends Object
    implements IgniteBiClosure<Boolean,Exception,IgniteInternalFuture<T>>

Post-lock closure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `PostLockClosure2()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`IgniteInternalFuture<T>` `apply(Boolean locked, @Nullable Exception e)` Closure body.
`protected abstract IgniteInternalFuture<T>` `postLock()` Post lock callback.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PostLockClosure2

    protected PostLockClosure2()

### Method Detail

#### apply

    public final IgniteInternalFuture<T> apply(Boolean locked,
                                               @Nullable
                                               @Nullable Exception e)

Closure body.

Specified by:
  `apply` in interface `IgniteBiClosure<Boolean,Exception,IgniteInternalFuture<T>>`
Parameters:
  `locked` - First parameter.
  `e` - Second parameter.
Returns:
  Closure return value.

#### postLock

    protected abstract IgniteInternalFuture<T> postLock()
                                                 throws IgniteCheckedException

Post lock callback.

Returns:
  Future return value.
Throws:
  `IgniteCheckedException` - If operation failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022